{
	"name": "form/nc/report/lead-time/query/sales-lead-time-grid.json",
	"table": [
		{
			"record_type": ["sales"],
			"table": "order_row"
		},
		{
			"record_type": ["customer"],
			"table": "company"
		}
	],
	"parameter": {
		"show_sql": true,
		"end_date": "2018-12-31",
		"finished_delivery_state": ["LT"],
		"start_date": "2018-01-01"
	},
	"query": [
		["ordr.actual_delivery_date", ">=", "start_date"],
		"and",
		["ordr.actual_delivery_date", "<=", "end_date"],
		"and",
		["ordr.delivery_state", "in", "finished_delivery_state"]
	],
	"order": ["ordr.order_id", ">", "ordr.row_number", ">"],
	"field": [
		"ordr.record_id",
		"ordr.order_id",
		"ordr.row_number",
		"ordr.actual_delivery_date",
		"pro.produced_amount",
		"pro.production_order_id",
		"pro.json_data.production_order_number",
		"pro.json_data.print_date",
		"pr.product_id",
		"pr.name",
		"pr.product_group",
		"ord.order_date",
		"ord.company_id",
		"co.name"
	],
	"field-": [
		"ordr.record_id",
		"ordr.order_id",
		"ordr.row_number",
		"ordr.actual_delivery_date",
		"pro.json_data.print_date",
		"pro.produced_amount",
		"pro.production_order_id",
		"pro.json_data.production_order_number",
		"pr.product_id",
		"pr.name",
		"pr.product_group",
		"ord.order_date",
		"ord.company_id"
	]
}
